commit:     fb53762882abb5fc9b947160709cb2fbd824120a
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Thu Apr  1 21:44:17 2021 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Thu Apr  1 21:44:46 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fb537628

games-strategy/wesnoth: Bump to version 1.15.11. Removed old

Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 games-strategy/wesnoth/Manifest                                    | 2 +-
 .../wesnoth/{wesnoth-1.15.4.ebuild => wesnoth-1.15.11.ebuild}      | 7 ++-----
 2 files changed, 3 insertions(+), 6 deletions(-)

diff --git a/games-strategy/wesnoth/Manifest b/games-strategy/wesnoth/Manifest
index 0c3cc9f0e9c..2b72748d3e3 100644
--- a/games-strategy/wesnoth/Manifest
+++ b/games-strategy/wesnoth/Manifest
@@ -1,2 +1,2 @@
 DIST wesnoth-1.14.14.tar.gz 502931191 BLAKE2B 
25bbead74d74bbce9c47b5ac9339fd5b4d996cb9f80137f0b1d9a600c71c82b732ed66937419a4dd59995311685960630415daf3fd3f51e8cf891f29a16ec024
 SHA512 
3924aa26b59445568472a10c5fe0e1ddf87eb0a878faf2bcc52d4618f5743dfeda103d1f4025f4a129628e6a25f4c16407e968d594769a0751ada2c9a733e2e4
-DIST wesnoth-1.15.4.tar.gz 500087559 BLAKE2B 
bb46766369cfcb1432b5b5e8df62636e2a45ff45bf3ec4381aa9e73b20a4a5a6e196f0355b10d2b86ffad608cfdd24f8d2fad21061db9b18f1a2decf11b0e466
 SHA512 
b209e584a187934b0ca3808cb870f4703b49edd5de357b6a6b01bdad2c71b8d755b81d3628c5281cd19f82ee8d030716d6bf64a806e6636426949b0a3d85ee9d
+DIST wesnoth-1.15.11.tar.gz 509311523 BLAKE2B 
3b08b94d81c70b13922eb31467f43d9d811a836b0861a1516678dc6de1485ac4a661bcc4d5e8c61707f07ceea552f6b8fef5e2ab40be0d93fcacdea9e30f56a7
 SHA512 
fc30e3e59e42f82120ad61857adac8d496b847b57316ea57a6e43212b64c05631d5e50f5fab632786da4d4265228244224033c6aa34a622a47bc530a57b7cfab

diff --git a/games-strategy/wesnoth/wesnoth-1.15.4.ebuild 
b/games-strategy/wesnoth/wesnoth-1.15.11.ebuild
similarity index 96%
rename from games-strategy/wesnoth/wesnoth-1.15.4.ebuild
rename to games-strategy/wesnoth/wesnoth-1.15.11.ebuild
index 4d50bca2725..e57800e4c3c 100644
--- a/games-strategy/wesnoth/wesnoth-1.15.4.ebuild
+++ b/games-strategy/wesnoth/wesnoth-1.15.11.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -46,13 +46,10 @@ BDEPEND="
        virtual/pkgconfig
 "
 
-PATCHES=(
-       "${FILESDIR}/wesnoth-1.14.14-ar.patch"
-)
-
 src_prepare() {
        cmake_src_prepare
 
+       sed 's@ coroutine@@' -i CMakeLists.txt || die
        if ! use doc ; then
                sed -i \
                        -e '/manual/d' \

Reply via email to